hpp-corbaserver: hpp::constraints_idl::DifferentiableFunction Interface Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | List of all members
hpp::constraints_idl::DifferentiableFunction Interface Reference

`import </local/robotpkg/var/tmp/robotpkg/path/py-hpp-corbaserver/work/hpp-corbaserver-9.0.2/idl/hpp/constraints_idl/constraints.idl;`

Inheritance diagram for hpp::constraints_idl::DifferentiableFunction:
[legend]

## Public Member Functions
floatSeq | value (in floatSeq arg) raises (Error)
floatSeqSeq | jacobian (in floatSeq arg) raises (Error)
size_type | inputSize () raises (Error)
size_type | inputDerivativeSize () raises (Error)
size_type | outputSize () raises (Error)
size_type | outputDerivativeSize () raises (Error)
string | name () raises (Error)
string | str () raises (Error)

## Member Function Documentation

## ◆ inputDerivativeSize()

size_type hpp::constraints_idl::DifferentiableFunction::inputDerivativeSize | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ inputSize()

size_type hpp::constraints_idl::DifferentiableFunction::inputSize | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ jacobian()

floatSeqSeq hpp::constraints_idl::DifferentiableFunction::jacobian | ( | in floatSeq | arg | ) |
raises | ( | Error
| ) |  |

## ◆ name()

string hpp::constraints_idl::DifferentiableFunction::name | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ outputDerivativeSize()

size_type hpp::constraints_idl::DifferentiableFunction::outputDerivativeSize | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ outputSize()

size_type hpp::constraints_idl::DifferentiableFunction::outputSize | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ str()

string hpp::constraints_idl::DifferentiableFunction::str | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ value()

floatSeq hpp::constraints_idl::DifferentiableFunction::value | ( | in floatSeq | arg | ) |
raises | ( | Error
| ) |  |

The documentation for this interface was generated from the following file:

- idl/hpp/constraints_idl/constraints.idl